Package org.apache.felix.http.base.internal.whiteboard.tracker

## Class ServletContextHelperTracker

- java.lang.Object
- - org.osgi.util.tracker.ServiceTracker<org.osgi.service.http.context.ServletContextHelper,​org.osgi.framework.ServiceReference<org.osgi.service.http.context.ServletContextHelper>>
  - - org.apache.felix.http.base.internal.whiteboard.tracker.ServletContextHelperTracker

All Implemented Interfaces:
  `org.osgi.util.tracker.ServiceTrackerCustomizer<org.osgi.service.http.context.ServletContextHelper,​org.osgi.framework.ServiceReference<org.osgi.service.http.context.ServletContextHelper>>`

    public final class ServletContextHelperTracker
    extends org.osgi.util.tracker.ServiceTracker<org.osgi.service.http.context.ServletContextHelper,​org.osgi.framework.ServiceReference<org.osgi.service.http.context.ServletContextHelper>>

Tracks all `ServletContextHelper` services.

### Field Summary

### Fields inherited from class org.osgi.util.tracker.ServiceTracker

`context, filter`

### Constructor Summary

Constructors
`ServletContextHelperTracker​(@NotNull org.osgi.framework.BundleContext context, @NotNull WhiteboardManager manager)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.osgi.framework.ServiceReference<org.osgi.service.http.context.ServletContextHelper>` `addingService​(@NotNull org.osgi.framework.ServiceReference<org.osgi.service.http.context.ServletContextHelper> ref)`
`void` `close()`
`void` `modifiedService​(@NotNull org.osgi.framework.ServiceReference<org.osgi.service.http.context.ServletContextHelper> ref, @NotNull org.osgi.framework.ServiceReference<org.osgi.service.http.context.ServletContextHelper> service)`
`void` `removedService​(@NotNull org.osgi.framework.ServiceReference<org.osgi.service.http.context.ServletContextHelper> ref, @NotNull org.osgi.framework.ServiceReference<org.osgi.service.http.context.ServletContextHelper> service)`

### Methods inherited from class org.osgi.util.tracker.ServiceTracker

`getService, getService, getServiceReference, getServiceReferences, getServices, getServices, getTracked, getTrackingCount, isEmpty, open, open, remove, size, waitForService`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServletContextHelperTracker

    public ServletContextHelperTracker​(@NotNull
                                       @NotNull org.osgi.framework.BundleContext context,
                                       @NotNull
                                       @NotNull WhiteboardManager manager)

### Method Detail

#### close

    public void close()

Overrides:
  `close` in class `org.osgi.util.tracker.ServiceTracker<org.osgi.service.http.context.ServletContextHelper,​org.osgi.framework.ServiceReference<org.osgi.service.http.context.ServletContextHelper>>`

#### addingService

    public final org.osgi.framework.ServiceReference<org.osgi.service.http.context.ServletContextHelper> addingService​(@NotNull
                                                                                                                       @NotNull org.osgi.framework.ServiceReference<org.osgi.service.http.context.ServletContextHelper> ref)

Specified by:
  `addingService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer<org.osgi.service.http.context.ServletContextHelper,​org.osgi.framework.ServiceReference<org.osgi.service.http.context.ServletContextHelper>>`
Overrides:
  `addingService` in class `org.osgi.util.tracker.ServiceTracker<org.osgi.service.http.context.ServletContextHelper,​org.osgi.framework.ServiceReference<org.osgi.service.http.context.ServletContextHelper>>`

#### modifiedService

    public final void modifiedService​(@NotNull
                                      @NotNull org.osgi.framework.ServiceReference<org.osgi.service.http.context.ServletContextHelper> ref,
                                      @NotNull
                                      @NotNull org.osgi.framework.ServiceReference<org.osgi.service.http.context.ServletContextHelper> service)

Specified by:
  `modifiedService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer<org.osgi.service.http.context.ServletContextHelper,​org.osgi.framework.ServiceReference<org.osgi.service.http.context.ServletContextHelper>>`
Overrides:
  `modifiedService` in class `org.osgi.util.tracker.ServiceTracker<org.osgi.service.http.context.ServletContextHelper,​org.osgi.framework.ServiceReference<org.osgi.service.http.context.ServletContextHelper>>`

#### removedService

    public final void removedService​(@NotNull
                                     @NotNull org.osgi.framework.ServiceReference<org.osgi.service.http.context.ServletContextHelper> ref,
                                     @NotNull
                                     @NotNull org.osgi.framework.ServiceReference<org.osgi.service.http.context.ServletContextHelper> service)

Specified by:
  `removedService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer<org.osgi.service.http.context.ServletContextHelper,​org.osgi.framework.ServiceReference<org.osgi.service.http.context.ServletContextHelper>>`
Overrides:
  `removedService` in class `org.osgi.util.tracker.ServiceTracker<org.osgi.service.http.context.ServletContextHelper,​org.osgi.framework.ServiceReference<org.osgi.service.http.context.ServletContextHelper>>`